commit:     8331787da7d200fcde63e8d26213f9810a8ca4e2
Author:     Nowa Ammerlaan <nowa <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 26 12:04:30 2024 +0000
Commit:     Nowa Ammerlaan <nowa <AT> gentoo <DOT> org>
CommitDate: Thu Dec 26 12:06:07 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8331787d

media-libs/libvpl: add 2.14.0

Signed-off-by: Nowa Ammerlaan <nowa <AT> gentoo.org>

 media-libs/libvpl/Manifest             |  1 +
 media-libs/libvpl/libvpl-2.14.0.ebuild | 53 ++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/media-libs/libvpl/Manifest b/media-libs/libvpl/Manifest
index a0f8070e6846..d595022821a5 100644
--- a/media-libs/libvpl/Manifest
+++ b/media-libs/libvpl/Manifest
@@ -1 +1,2 @@
 DIST libvpl-2.13.0.tar.gz 12952887 BLAKE2B 
e90bb3a99127b07dc29c9bf8ea2411f4b360344e11050c1e5821840eed9a54c0d73d88aabf425dbda7313b95e416f5323ee535b9c5e5f11d76c4e0465e1ca16e
 SHA512 
22b9f409a9b8ed551847e1b5a94d0c48502b5fbf68ec28021ba36d3f851ef83896205977e6b7f52c102f747a8fbc793424181ecd7edaf6058a39dc15b78d19cd
+DIST libvpl-2.14.0.tar.gz 12958172 BLAKE2B 
2aa47e076da70969233a47e79a3c92bb1c406221f8cf335f55745f7b3a25ea688d6a07d413a80afbab67d8576b7480472a319acdff452bec9a62ef67103f589f
 SHA512 
7557f4054b84ba4425e6a50c4abd24594ef7c9a21c27137a971987634cdf5ed54e82c76d92b6740f3183a49b92edb6a5848f584c619bd30b2fbd821706bba1e4

diff --git a/media-libs/libvpl/libvpl-2.14.0.ebuild 
b/media-libs/libvpl/libvpl-2.14.0.ebuild
new file mode 100644
index 000000000000..78694b54c476
--- /dev/null
+++ b/media-libs/libvpl/libvpl-2.14.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake-multilib optfeature flag-o-matic
+
+DESCRIPTION="Intel Video Processing Library dispatcher"
+HOMEPAGE="https://github.com/intel/libvpl";
+SRC_URI="https://github.com/intel/libvpl/archive/refs/tags/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0/2"
+KEYWORDS="~amd64"
+
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       x11-libs/libpciaccess[${MULTILIB_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=( "${FILESDIR}"/${PN}-2.13.0_do-not-fortify-source.patch )
+
+src_prepare() {
+       filter-lto
+       cmake_src_prepare
+}
+
+multilib_src_configure() {
+       local mycmakeargs=(
+               -DBUILD_SHARED_LIBS=ON
+               -DBUILD_TESTS="$(usex test)"
+               -DCMAKE_INSTALL_PREFIX="${EPREFIX}/usr"
+               -DCMAKE_INSTALL_SYSCONFDIR="${EPREFIX}/etc"
+       )
+       cmake_src_configure
+}
+
+multilib_src_install() {
+       cmake_src_install
+       # Remove these license files
+       rm -r "${ED}/usr/share/vpl/licensing" || die
+}
+
+pkg_postinst() {
+       optfeature_header "This package provides only the dispatcher, to use it 
install one or more implementations"
+       optfeature "CPUs" media-libs/oneVPL-cpu
+       optfeature "Intel GPUs newer then, and including, Intel Xe" 
media-libs/vpl-gpu-rt
+       optfeature "Intel GPUs older then Intel Xe" media-libs/intel-mediasdk
+}

Reply via email to